Package org.jboss.logmanager.config

## Interface HandlerContainingConfigurable

All Known Subinterfaces:
  `HandlerConfiguration`, `LoggerConfiguration`

    public interface HandlerContainingConfigurable

A configurable object which is a container for handlers.

Author:
  David M. Lloyd

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `addHandlerName​(java.lang.String name)` Add a handler name to this logger.
`java.util.List<java.lang.String>` `getHandlerNames()` Get the names of the configured handlers.
`boolean` `removeHandlerName​(java.lang.String name)` Remove a handler name from this logger.
`void` `setHandlerNames​(java.lang.String... names)` Set the names of the configured handlers.
`void` `setHandlerNames​(java.util.Collection<java.lang.String> names)` Set the names of the configured handlers.

### Method Detail

#### getHandlerNames

    java.util.List<java.lang.String> getHandlerNames()

Get the names of the configured handlers.

Returns:
  the names of the configured handlers

#### setHandlerNames

    void setHandlerNames​(java.lang.String... names)

Set the names of the configured handlers.

Parameters:
  `names` - the names of the configured handlers

#### setHandlerNames

    void setHandlerNames​(java.util.Collection<java.lang.String> names)

Set the names of the configured handlers.

Parameters:
  `names` - the names of the configured handlers

#### addHandlerName

    boolean addHandlerName​(java.lang.String name)

Add a handler name to this logger.

Parameters:
  `name` - the handler name
Returns:
  `true` if the name was not already set, `false` if it was

#### removeHandlerName

    boolean removeHandlerName​(java.lang.String name)

Remove a handler name from this logger.

Parameters:
  `name` - the handler name
Returns:
  `true` if the name was removed, `false` if it was not present